package cn.com.qmth.stmms.biz.exam.dao;

import java.util.List;

import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import cn.com.qmth.stmms.biz.exam.model.InspectHistory;

public interface InspectHistoryDao extends PagingAndSortingRepository<InspectHistory, Integer>,
        JpaSpecificationExecutor<InspectHistory> {

    @Query("select s from InspectHistory s where s.studentId=?1 order by s.inspectTime desc limit 3")
    List<InspectHistory> findByStudentIdLimit3(int studentId);

    @Query("select s from InspectHistory s where s.studentId=?1 and s.inspectorId=?2 order by s.inspectTime desc limit 1")
    InspectHistory findByStudentIdAndInspectorId(Integer studentId, Integer inspectorId);

}
